# Class: Mocha::ParameterMatchers::RespondsWith

Inherits:
  Object
  - Object
  - Mocha::ParameterMatchers::RespondsWith
  show all

Includes:
  BaseMethods

Defined in:
  lib/mocha/parameter_matchers/responds_with.rb

## Overview

Parameter matcher which matches if actual parameter returns expected result when specified method is invoked.

## Method Summary

### Methods included from BaseMethods

#&, #|